Bug 1565564 - Documentation for minor update in pike is wrong
Summary: Documentation for minor update in pike is wrong
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: RHOS Documentation Team
QA Contact: RHOS Documentation Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-10 10:22 UTC by Yolanda Robla
Modified: 2019-03-05 00:02 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-05 00:02:44 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Yolanda Robla 2018-04-10 10:22:39 UTC
Description of problem:


In the documentation page https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/12/html/upgrading_red_hat_openstack_platform/assembly-preparing_for_openstack-platform_upgrade#updating_the_current_undercloud_packages

It mentions that the command to update overcloud is:

openstack overcloud update stack -i overcloud

That command is no longer valid (throws error). The right command is:

openstack overcloud update stack --stack overcloud

Comment 1 Yolanda Robla 2018-04-10 13:41:19 UTC
Actually that is the upstream documentation:
https://docs.openstack.org/tripleo-docs/latest/install/post_deployment/package_update.html

So the steps for doing a minor update since pike are a bit more complex , this needs to be reflected in our downstream documentation

Comment 2 Yolanda Robla 2018-04-10 15:02:23 UTC
New patch with more accurate documentation: https://review.openstack.org/#/c/535859/19/doc/source/install/post_deployment/upgrade.rst

Comment 3 Yolanda Robla 2018-04-10 15:02:36 UTC
New patch with more accurate documentation: https://review.openstack.org/#/c/535859/19/doc/source/install/post_deployment/upgrade.rst

Comment 4 Ken Holden 2018-04-16 17:24:44 UTC
In section 2.5 of https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/12/html-single/upgrading_red_hat_openstack_platform/#assembly-preparing_for_openstack-platform_upgrade, the for loop that is untaring the overcloud full images is incorrect as it's still pointing to OSP 11.  It should be:

for i in /usr/share/rhosp-director-images/overcloud-full-latest-12.0.tar /usr/share/rhosp-director-images/ironic-python-agent-latest-12.0.tar ; do tar -xvf $i; done

Comment 5 Ken Holden 2018-04-16 17:29:34 UTC
ignore previous comment.  that was for updating previous major version to latest previous major version prior to major upgrade.

Comment 6 Dan Macpherson 2019-03-05 00:02:44 UTC
So closing this BZ for three reasons:

1. The documentation linked is for performing a minor update of OSP11 in preparation for a major upgrade to OSP12. This procedure intentionally uses the OSP11 procedure. So this isn't a bug, but more a point of confusion.

2. In later versions, the docs link to the previous documentation's update procedure rather than include it like this one. This is to avoid general confusion people have about updating before upgrading.

3. OSP12 is EOL.

Closing as NOTABUG, but also EOL too.


Note You need to log in before you can comment on or make changes to this bug.